/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/_general_styling.scss';

.contentContainer {
  display: flex;
  row-gap: 2rem;
  column-gap: 1.625rem;
  margin-top: 2.5rem;

  @include breakpoint(lg) {
    flex-direction: column;
  }
}

.infoSection {
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
  flex: 1;

  &__personalInformation,
  &__securityInformation {
    display: flex;
    flex-direction: column;
    row-gap: 1.25rem;
  }
}

.blockInfoItemsContainer {
  display: flex;
  flex-direction: column;
  row-gap: 0.625rem;

  &__titleContainer {
    display: flex;
    column-gap: 0.3125rem;
    align-items: center;
  }

  &__valueContainer {
    display: flex;
    flex-direction: column;
    row-gap: 0.5rem;

    &__key,
    &__state {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }

  &__newPinButton {
    padding: 0;
    width: fit-content !important;
    color: $coa-primary;
  }

  &__publicKeyCollapse {
    margin-left: 3.4375rem;

    @include breakpoint(sm) {
      margin-left: 0;
    }
  }
}

.helperSection {
  flex-basis: 25.625rem;
  background: $coa-secondary;
  border: 1px solid $coa-primary;
  border-radius: 6px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
  padding: 1.6875rem 1.5rem;
  grid-area: helperSection;
  margin-top: 41px;

  @include breakpoint(lg) {
    margin-top: 0;
  }

  &__icon {
    color: $coa-primary;
  }

  &__list {
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    margin-top: 0.625rem;
    row-gap: 0.625rem;

    &__title {
      font-weight: 700;
    }
  }
}

.divider {
  background: $coa-primary;
}
